QGIS Application - Bug report #11990

Error when using ##output file in Processing scripts

2015-01-14 01:15 PM - Fernando Rios

Status: Closed

Priority: Low

Assignee: Victor Olaya
Category: Processing/Core

Affected QGIS version:2.6.1
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 20196

Description

Any script declaring an output using ##output_file fails with an 'Invalid Script' error when you try to add it to the Processing tool box.

The error is on line 215 of ScriptAlgorithm.py. The line reads
if len(subtokens > 2):

It should read
if len(subtokens) > 2:

Associated revisions

Revision c54cd92f - 2015-01-15 10:27 AM - Victor Olaya

[processing] fixed handling of file outputs in scripts

Fixes #11990

History

#1 - 2015-01-15 01:35 AM - Victor Olaya
- Status changed from Open to Closed

Fixed in changeset commit:"c54cd92f8108d1fc3b4df027df5cbd094829f3b7".

#2 - 2015-06-07 04:33 AM - Giovanni Manghi
- Category changed from 94 to Processing/Core
